read all modules

The read all modules API sends a GET request to retrieve a list of modules.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Prerequisites

  • The caller does not have to provide anything.

Authorization

  • API key (via the X-API-KEY header).

Parameters

Query Parameters
Field nameDescriptionFormat
offsetNumber of items to skip for paginationInteger
limitMaximum number of items to returnInteger
bookmarkedFilter by bookmarked modulesBoolean
projectIdFilter modules by project IDString
module_typeFilter by module typeString
exclude_module_typeExclude modules of a specific typeString
sortSort order for resultsString
Response Body
Field nameDescriptionFormat
elementsList of modulesArray
totalTotal amount of modulesInteger
Module Structure
Field nameDescriptionFormat
idModule IDUUID
nameThe name of the moduleString
modifiedAtThe date and time of modificationString
modifiedByModified byString
descriptionModule descriptionString
bookmarkedWhether the module is bookmarkedBoolean
createdAtThe date and time of creationString
createdByCreated byString
connectionModule connectionObject
additionalInfoAdditional module infoObject
Connection Structure
Field nameDescriptionFormat
idConnection IDUUID
nameThe name of the connectionString
connectorThe type of connectorString
descriptionConnection descriptionString
profilesConnection profilesMap
modifiedAtThe date and time of modificationString
modifiedByModified byString
createdAtThe date and time of creationString
createdByCreated byString
Additional Info Structure
Field nameDescriptionFormat
numOfAssetsNumber of assets associated with the moduleInteger
numOfProjectsNumber of projects associated with the moduleInteger
typeThe module connector typeString
modernizedModuleID of the associated modernized moduleUUID
Profile Structure
Field nameDescriptionFormat
profileNameKeyString
profileValueProfile configJsonElement

Examples

{
  "elements": [
    {
      "id": "00000000-0000-0000-0000-000000000011",
      "name": "module-mainframe-rpc",
      "modifiedAt": "2026-01-01T00:00:00.000000Z",
      "modifiedBy": "John Doe",
      "description": "",
      "bookmarked": false,
      "createdAt": "2026-01-01T00:00:00.000000Z",
      "createdBy": "John Doe",
      "connection": {
        "id": "00000000-0000-0000-0000-000000000001",
        "name": "module-mainframe-rpc-default-connection-1",
        "connector": "mainFrameRpc",
        "description": "Auto-generated connection for module module-mainframe-rpc",
        "profiles": {
          "$default": {
            "baseUrl": "http://cics.example.internal",
            "uriMap": "/example/latest",
            "port": "12345",
            "codePage": "cp037"
          }
        },
        "modifiedAt": "2026-01-01T00:00:00.000000000Z",
        "modifiedBy": "",
        "createdAt": "2026-01-01T00:00:00.000000000Z",
        "createdBy": ""
      },
      "additionalInfo": {
        "numOfAssets": 0,
        "numOfProjects": 0,
        "type": "mainFrameRpc",
        "modernizedModule": "9b9e51de-940b-4ab5-836d-b3edf0c93353"
      }
    }
  ],
  "total": 1
}
Query Params
integer
integer

limit

boolean
string
string
enum
Allowed:
string
enum
Allowed:
string
enum
Allowed:
string
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json